Bug 52133 - Forward declare some headers where possible
Summary: Forward declare some headers where possible
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Other OS X 10.5
: P2 Normal
Assignee: Tony Gentilcore
URL:
Keywords:
Depends on:
Blocks: 52451
  Show dependency treegraph
 
Reported: 2011-01-09 12:33 PST by Tony Gentilcore
Modified: 2011-01-14 08:46 PST (History)
6 users (show)

See Also:


Attachments
Patch (32.73 KB, patch)
2011-01-09 12:35 PST, Tony Gentilcore
no flags Details | Formatted Diff | Diff
Patch (33.75 KB, patch)
2011-01-09 13:52 PST, Tony Gentilcore
ap: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tony Gentilcore 2011-01-09 12:33:38 PST
Forward declare some headers where possible
Comment 1 Tony Gentilcore 2011-01-09 12:35:20 PST
Created attachment 78355 [details]
Patch
Comment 2 WebKit Review Bot 2011-01-09 13:08:26 PST
Attachment 78355 [details] did not build on chromium:
Build output: http://queues.webkit.org/results/7376084
Comment 3 Early Warning System Bot 2011-01-09 13:09:20 PST
Attachment 78355 [details] did not build on qt:
Build output: http://queues.webkit.org/results/7474020
Comment 4 Tony Gentilcore 2011-01-09 13:52:18 PST
Created attachment 78356 [details]
Patch
Comment 5 WebKit Review Bot 2011-01-09 14:25:13 PST
Attachment 78355 [details] did not build on chromium:
Build output: http://queues.webkit.org/results/7446067
Comment 6 WebKit Review Bot 2011-01-10 02:34:37 PST
Attachment 78356 [details] did not build on gtk:
Build output: http://queues.webkit.org/results/7379103
Comment 7 Build Bot 2011-01-10 06:59:31 PST
Attachment 78356 [details] did not build on win:
Build output: http://queues.webkit.org/results/7447089
Comment 8 Tony Gentilcore 2011-01-10 08:42:11 PST
Committed r75377: <http://trac.webkit.org/changeset/75377>